# oslopolicy-list-redundant

## Synopsis

    oslopolicy-list-redundant [-h] [--config-dir DIR] [--config-file PATH]
                              [--namespace NAMESPACE]

## Description

The `oslopolicy-list-redundant` tool is useful for detecting policies that are specified in policy files that are the same as the defaults provided by the service. Operators can use this tool to find policies that they can remove from their policy files, making maintenance easier.

This tool assumes a policy file containing overrides exists and is specified through configuration.

## Options

-h, --help

  Show help message and exit.

--config-dir DIR

  Path to a config directory to pull `*.conf` files from. This file set is sorted, so as to provide a predictable parse order if individual options are overridden. The set is parsed after the file(s) specified via previous `--config-file`, arguments hence overridden options in the directory take precedence.

  This option must be set from the command-line.

--config-file PATH

  Path to a config file to use. Multiple config files can be specified, with values in later files taking precedence. Defaults to None. This option must be set from the command-line.

--namespace NAMESPACE

  Option namespace under “oslo.policy.enforcer” in which to look for a `policy.Enforcer`.

## Examples

To list redundant default policies:

    oslopolicy-list-redundant --namespace keystone --config-dir /etc/keystone

For more information regarding the options supported by this tool:

    oslopolicy-list-redundant --help

## See Also

oslopolicy-sample-generator, oslopolicy-policy-generator, oslopolicy-checker

this page last updated: 2026-07-15 00:36:21

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug